global gDOUseLastInputStatus, gDOUseLastInputDir

on DOselectFiles
  if gDOUseLastInputStatus = 0 then
    DOfileList = dosSelectFile("open multiple", the pathname, EMPTY, ["dir;dxr;dcr;cst;cxt|All supported filetypes", "dir|Director Movie", "dxr|Protected Director Movie", "dcr|Shockwave Movie", "cst|Director Cast", "cxt|Protected Director Cast"], "Select file(s) to open")
  else
    if gDOUseLastInputDir = EMPTY then
      gDOUseLastInputDir = the pathname
    else
      if not dosIsFolderExist(string(gDOUseLastInputDir)) then
        DOlog("Last used input directory no longer exists, switching to dirOpener directory", 6)
        gDOUseLastInputDir = the pathname
      end if
    end if
    DOfileList = dosSelectFile("open multiple", gDOUseLastInputDir, EMPTY, ["dir;dxr;dcr;cst;cxt|All supported filetypes", "dir|Director Movie", "dxr|Protected Director Movie", "dcr|Shockwave Movie", "cst|Director Cast", "cxt|Protected Director Cast"], "Select file(s) to open")
  end if
  DOprocessList(DOfileList)
end
