property spriteNum, offMember, onMember, status, groupName

on mouseUp me
  sendAllSprites(#turnOff, groupName)
  me.status = 1
end

on enterFrame me
  if me.status = 1 then
    sprite(me.spriteNum).member = onMember
    updateStage()
  else
    sprite(me.spriteNum).member = offMember
    updateStage()
  end if
end

on getBehaviorDescription me
  return "windows-like radiobutton behaviour"
end

on turnOff me, activeGroupName
  if groupName = activeGroupName then
    me.status = 0
  end if
end

on getPropertyDescriptionList me
  if the currentSpriteNum = 0 then
    exit
  end if
  pList = [:]
  defaultOffMember = sprite(the currentSpriteNum).member
  defaultOffMemberNumber = defaultOffMember.number
  defaultOnMemberNumber = defaultOffMemberNumber + 1
  addProp(pList, #offMember, [#default: member(defaultOffMemberNumber), #format: #member, #comment: "Radiobutton's off state:"])
  addProp(pList, #onMember, [#default: member(defaultOnMemberNumber), #format: #member, #comment: "Radiobutton's on state:"])
  addProp(pList, #groupName, [#default: EMPTY, #format: #string, #comment: "Radiobutton group name:"])
  return pList
end
