global gDOAutoQuit, gDOUseLastInputStatus, gDOUseLastInputDir, gDOOutputDirType, gDOOutputDir

on DOreadPreferences
  DOiniFileName = dosGetSpecialFolder("OS") & "\dirOpener.ini"
  DOsectionName = "AUTOQUIT"
  DOkeyName = "STATUS"
  DOkeyValue = dosReadINI(DOiniFileName, DOsectionName, DOkeyName)
  if DOkeyValue <> EMPTY then
    gDOAutoQuit = DOkeyValue
  else
    gDOAutoQuit = 0
    dosWriteINI(DOiniFileName, DOsectionName, DOkeyName, string(gDOAutoQuit))
  end if
  if gDOAutoQuit = 0 then
    DOlog("Automatically quit dirOpener after processing files = off")
  else
    DOlog("Automatically quit dirOpener after processing files = on")
  end if
  DOsectionName = "USELASTINPUTDIR"
  DOkeyName = "STATUS"
  DOkeyValue = dosReadINI(DOiniFileName, DOsectionName, DOkeyName)
  if DOkeyValue <> EMPTY then
    gDOUseLastInputStatus = DOkeyValue
  else
    gDOUseLastInputStatus = 0
    dosWriteINI(DOiniFileName, DOsectionName, DOkeyName, string(gDOUseLastInputDir))
  end if
  DOkeyName = "DIR"
  DOkeyValue = dosReadINI(DOiniFileName, DOsectionName, DOkeyName)
  if DOkeyValue <> EMPTY then
    gDOUseLastInputDir = DOkeyValue
  else
    gDOUseLastInputDir = EMPTY
    dosWriteINI(DOiniFileName, DOsectionName, DOkeyName, gDOUseLastInputDir)
  end if
  if gDOUseLastInputStatus = 0 then
    DOlog("Remember last input directory = off")
  else
    DOlog("Remember last input directory = on")
  end if
  DOsectionName = "OUTPUTDIRTYPE"
  DOkeyName = "STATUS"
  DOkeyValue = dosReadINI(DOiniFileName, DOsectionName, DOkeyName)
  if DOkeyValue <> EMPTY then
    gDOOutputDirType = DOkeyValue
  else
    gDOOutputDirType = 1
    dosWriteINI(DOiniFileName, DOsectionName, DOkeyName, string(gDOOutputDirType))
  end if
  DOkeyName = "DIR"
  DOkeyValue = dosReadINI(DOiniFileName, DOsectionName, DOkeyName)
  if DOkeyValue <> EMPTY then
    gDOOutputDir = DOkeyValue
  else
    gDOUseLastInputDir = EMPTY
    dosWriteINI(DOiniFileName, DOsectionName, DOkeyName, gDOUseLastInputDir)
  end if
  case gDOOutputDirType of
    1:
      DOlog("Output directory = dirOpener")
    2:
      DOlog("Output directory = Input")
    3:
      DOlog("Output directory = " & gDOOutputDir)
  end case
end
