global gDOAutoQuit, gDOUseLastInputStatus, gDOUseLastInputDir, gDOOutputDirType, gDOOutputDir

on mouseUp me
  DOiniFileName = dosGetSpecialFolder("OS") & "\dirOpener.ini"
  if sprite(29).status = 1 then
    DOtempOutputDirType = "1"
  end if
  if sprite(30).status = 1 then
    DOtempOutputDirType = "2"
  end if
  if sprite(31).status = 1 then
    DOtempOutputDirType = "3"
  end if
  if DOtempOutputDirType <> gDOOutputDirType then
    if DOtempOutputDirType = 3 then
      DOtempOutDir = field("customDir")
      if DOtempOutDir = EMPTY then
        alert("You have to enter a custom directory to use," & numToChar(13) & "or browse for one!")
        exit
      end if
      gDOOutputDir = DOtempOutDir
      DOsectionName = "OUTPUTDIRTYPE"
      DOkeyName = "DIR"
      dosWriteINI(DOiniFileName, DOsectionName, DOkeyName, gDOOutputDir)
    end if
    gDOOutputDirType = DOtempOutputDirType
    DOsectionName = "OUTPUTDIRTYPE"
    DOkeyName = "STATUS"
    dosWriteINI(DOiniFileName, DOsectionName, DOkeyName, string(gDOOutputDirType))
    case gDOOutputDirType of
      1:
        DOlog("Output directory = dirOpener")
      2:
        DOlog("Output directory = Input")
      3:
        DOlog("Output directory = " & gDOOutputDir)
    end case
  end if
  DOtempAutoQuit = sprite(27).status
  if DOtempAutoQuit <> gDOAutoQuit then
    gDOAutoQuit = DOtempAutoQuit
    DOsectionName = "AUTOQUIT"
    DOkeyName = "STATUS"
    dosWriteINI(DOiniFileName, DOsectionName, DOkeyName, string(gDOAutoQuit))
    if gDOAutoQuit = 0 then
      DOlog("Automatically quit dirOpener after processing files = off")
    else
      DOlog("Automatically quit dirOpener after processing files = on")
    end if
  end if
  DOtempUseLastInputStatus = sprite(28).status
  if DOtempUseLastInputStatus <> gDOUseLastInputStatus then
    gDOUseLastInputStatus = DOtempUseLastInputStatus
    DOsectionName = "USELASTINPUTDIR"
    DOkeyName = "STATUS"
    dosWriteINI(DOiniFileName, DOsectionName, DOkeyName, string(gDOUseLastInputStatus))
    if DOtempUseLastInputStatus = 1 then
      gDOUseLastInputDir = the pathname
      DOkeyName = "DIR"
      dosWriteINI(DOiniFileName, DOsectionName, DOkeyName, gDOUseLastInputDir)
    end if
    if gDOUseLastInputStatus = 0 then
      DOlog("Remember last input directory = off")
    else
      DOlog("Remember last input directory = on")
    end if
  end if
  go("DOmain")
end
