property spriteNum, offMember, onMember, status

on mouseUp me
  if me.status = 1 then
    me.status = 0
  else
    me.status = 1
  end if
end

on enterFrame me
  if me.status = 1 then
    sprite(me.spriteNum).member = onMember
    updateStage()
  else
    sprite(me.spriteNum).member = offMember
    updateStage()
  end if
end

on getBehaviorDescription me
  return "windows-like checkbox behaviour"
end

on getPropertyDescriptionList me
  if the currentSpriteNum = 0 then
    exit
  end if
  pList = [:]
  defaultOffMember = sprite(the currentSpriteNum).member
  defaultOffMemberNumber = defaultOffMember.number
  defaultOnMemberNumber = defaultOffMemberNumber + 1
  addProp(pList, #offMember, [#default: member(defaultOffMemberNumber), #format: #member, #comment: "Checkbox's off state:"])
  addProp(pList, #onMember, [#default: member(defaultOnMemberNumber), #format: #member, #comment: "Checkbox's on state:"])
  addProp(pList, #status, [#default: 0, #format: #string, #range: [0, 1], #comment: "Checkbox's default status:"])
  return pList
end
