property spriteNum, upMember, downMember

on mouseDown me
  set the member of sprite the spriteNum of me to downMember
  updateStage()
  repeat while the stillDown
    if rollover(me.spriteNum) then
      set the member of sprite the spriteNum of me to downMember
      updateStage()
      next repeat
    end if
    set the member of sprite the spriteNum of me to upMember
    updateStage()
  end repeat
  set the member of sprite the spriteNum of me to upMember
  updateStage()
end

on getBehaviorDescription me
  return "windows-like button behaviour"
end

on getPropertyDescriptionList me
  if the currentSpriteNum = 0 then
    exit
  end if
  pList = [:]
  defaultUpMember = sprite(the currentSpriteNum).member
  defaultUpMemberNumber = defaultUpMember.number
  defaultDownMemberNumber = defaultUpMemberNumber + 1
  addProp(pList, #upMember, [#default: member(defaultUpMemberNumber), #format: #member, #comment: "Button's up state:"])
  addProp(pList, #downMember, [#default: member(defaultDownMemberNumber), #format: #member, #comment: "Button's down state:"])
  return pList
end
